/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:23:16 GMT 2022
 */

package ir.ramtung.impl2;

import ir.ramtung.sts01.LibraryException;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl2.Magazine;
import ir.ramtung.impl2.Prof;
import ir.ramtung.impl2.Reference;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Prof_ESTest extends Prof_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Prof prof0 = new Prof("3xR");
      Reference reference0 = new Reference("3xR", 1971);
      prof0.borrow(reference0);
      prof0.borrow(reference0);
      Magazine magazine0 = new Magazine("fQ`6muVu_R5&", 1971, 1971, 1971);
      prof0.borrow(reference0);
      prof0.borrow(magazine0);
      assertTrue(prof0.canBorrow());
      
      prof0.borrow(magazine0);
      prof0.borrow(magazine0);
      boolean boolean0 = prof0.canBorrow();
      assertFalse(boolean0);
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Prof prof0 = new Prof("3xR");
      boolean boolean0 = prof0.canBorrow();
      assertTrue(boolean0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Prof prof0 = new Prof("3xR");
      Reference reference0 = new Reference("3xR", 1971);
      prof0.borrow(reference0);
      prof0.borrow(reference0);
      Magazine magazine0 = new Magazine("fQ`6muVu_R5&", 1971, (-284), 1971);
      prof0.borrow(magazine0);
      prof0.borrow(magazine0);
      assertTrue(prof0.canBorrow());
      
      prof0.borrow(magazine0);
      boolean boolean0 = prof0.canBorrow();
      assertFalse(boolean0);
  }

  @Test(timeout = 4000)
  public void test3()  throws Throwable  {
      Prof prof0 = new Prof("");
      prof0.docsBorrow = null;
      // Undeclared exception!
      try { 
        prof0.canBorrow();
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("ir.ramtung.impl2.Prof", e);
      }
  }
}
